chrome.runtime.sendMessage({
	type: 'crmTab'
}, function(response) {
	//console.log('Ответ: ', response);
});

chrome.runtime.onMessage.addListener(function (request, sender, sendResponse) {
	//console.log(request);
	if (request && request.type) {
		switch (request.type) {
			case 'callTo':
				//console.log('Звонок на номер: ' + request.data);
				try {
					document.dispatchEvent(new CustomEvent('callToPhoneEvent', { detail: {'phoneNumber': request.data } } ));
					sendResponse({
						'type': 'callTo',
						'success': true
					});
				} catch (e) {
					console.error(e);
					sendResponse({
						'type': 'callTo',
						'success': false
					});
				}
			break;
		}
	}
	
	return true;
});
